class VenueManagementItem
  include Mongoid::Document
  include Mongoid::Timestamps

  field :title, localize: true

  belongs_to :venue_management_main

  has_many :venue_management_item_contents, :autosave => true, :dependent => :destroy
  accepts_nested_attributes_for :venue_management_item_contents, :allow_destroy => true

end